package wechat_service

import (
	"SCRM/models"
	"SCRM/service"

	"github.com/jinzhu/gorm"
)

//GetMenusByOrgID 通过user_org_id（机构ID）取信息
func GetMenusByOrgID(orgID int64) (*models.AuthorizationButtons, error) {
	var button models.AuthorizationButtons
	err := service.PatientReadDB().Where("user_org_id=?", orgID).Order("id desc").First(&button).Error
	if err == gorm.ErrRecordNotFound {
		return nil, nil
	}
	if err != nil {
		return nil, err
	}
	return &button, nil
}
